<?php



function theme_register_nav_menu() {
	register_nav_menu( 'top', 'Меню в шапке' );
	register_nav_menu( 'footer', 'Меню в подвале' );
}

add_action('after_setup_theme', 'theme_register_nav_menu');



add_theme_support( 'post-thumbnails' );



function delete_intermediate_image_sizes( $sizes ){

	// размеры которые нужно удалить
	return array_diff( $sizes, [
		'medium_large',
		'large',
		'1536x1536',
		'2048x2048',
	] );
}

add_filter( 'intermediate_image_sizes', 'delete_intermediate_image_sizes' );




function remove_image_size_attributes( $html ) {
	return str_replace('size-full', '', $html);
}

add_filter( 'the_content', 'remove_image_size_attributes' );




function wpassist_remove_block_library_css(){
	wp_dequeue_style( 'wp-block-library' );
}

add_action( 'wp_enqueue_scripts', 'wpassist_remove_block_library_css' );





/** * Completely Remove jQuery From WordPress */
function my_init() {
    if (!is_admin()) {
        wp_deregister_script('jquery');
        wp_register_script('jquery', false);
    }
}
add_action('init', 'my_init');




// Check if amp  
function is_amp() {
	return ($_GET['amp'] ? true : false);
}



# Добавляет SVG в список разрешенных для загрузки файлов.
add_filter( 'upload_mimes', 'svg_upload_allow' );


function svg_upload_allow( $mimes ) {
	$mimes['svg']  = 'image/svg+xml';

	return $mimes;
}
add_filter( 'wp_check_filetype_and_ext', 'fix_svg_mime_type', 10, 5 );

# Исправление MIME типа для SVG файлов.
function fix_svg_mime_type( $data, $file, $filename, $mimes, $real_mime = '' ){

	// WP 5.1 +
	if( version_compare( $GLOBALS['wp_version'], '5.1.0', '>=' ) ){
		$dosvg = in_array( $real_mime, [ 'image/svg', 'image/svg+xml' ] );
	}
	else {
		$dosvg = ( '.svg' === strtolower( substr( $filename, -4 ) ) );
	}

	// mime тип был обнулен, поправим его
	// а также проверим право пользователя
	if( $dosvg ){

		// разрешим
		if( current_user_can('manage_options') ){

			$data['ext']  = 'svg';
			$data['type'] = 'image/svg+xml';
		}
		// запретим
		else {
			$data['ext']  = false;
			$data['type'] = false;
		}

	}

	return $data;
}





//Создаем шорткод кнопки в контенте
function button_in_content($atts){
	
	$params = shortcode_atts( 
		array( // в массиве укажите значения параметров по умолчанию
			'name' => 'Bet Andreas',
			), 
		$atts 
	);

	$content_button = get_option('options_linkMain');
	$split = "&split=content";

	$output = '<div class="buttonWrapper">';
	
		if ( function_exists( 'is_amp_endpoint' ) && is_amp_endpoint() ) :
		$output .= '<button class="contentButton amp" on="tap:AMP.navigateTo(url=\''.$content_button.$split.'\')">';
		
		else:
		$output .= '<button class="contentButton" onclick="location.href=\''.$content_button.$split.'\'">';
		
		endif;
		
		$output .= $params[ 'name' ] .'</button></div>';
	
	

	return $output;

}
add_shortcode( 'content-button', 'button_in_content' );




















