<!DOCTYPE html>
<html lang="<?php echo asl()->lang_attr; ?>">
    <head>
        <link rel="stylesheet" type="text/css" href="<?php echo get_home_url(); ?>/wp-content/themes/alfatheme/style.css">

        <meta name='viewport' content='width=device-width,initial-scale=1'/>
		<meta charset="<?php bloginfo( 'charset' ); ?>">
		<title><?php wp_title(''); ?></title>
        <?php wp_head(); ?>
    </head>
	
	
	
	
<body>	
	<?php if (is_amp()):?>
	<!-- if amp -->
		<script async custom-element="amp-sidebar" src="https://cdn.ampproject.org/v0/amp-sidebar-0.1.js"></script>
		<script async custom-element="amp-bind" src="https://cdn.ampproject.org/v0/amp-bind-0.1.js"></script>
		
			<amp-sidebar id="sidebar" class="sample-sidebar" layout="nodisplay" side="right">
				<button on="tap:sidebar.toggle" class="closeButton"><img src="<?php echo get_home_url(); ?>/wp-content/themes/alfatheme/img/close.svg" alt="close"></button>
					
					<div class="lang_menu">
						<?php do_action('alfa_menu', 'top'); ?>
					</div>
					
			</amp-sidebar>	
	<?php endif; ?>
	


	<div id="scroll"></div>
	
    <header>
	
	<?php if (!is_amp()):?>
		<div class="header wrapper headerDesktop">

			<div class="overlay"></div>
        
				<div class="header_top">
					<a class="logo" href="<?php echo asl()->get_slug_home_url();?>">
						<img src="<?php echo get_home_url(); ?>/wp-content/uploads/2023/02/Logo.png" alt="<?php echo asl()->brand_name; ?> logo"> 
					</a>
					
					<div class="lang_menu deskMenu">
						<?php do_action('alfa_menu', 'top'); ?>
					</div>
					
					<div class="lang_choose">
						<?php do_action('alfa_nav'); ?>
					</div>
					
					<div class="buttons">
						<?php do_action('alfa_buttons', asl()->translate('Войти'), 'log', 'logButton');
						do_action('alfa_buttons', asl()->translate('Регистрация'), 'reg', 'regButton');?>
					</div>										

					
					<div class="burger">
						<img src="<?php echo get_home_url(); ?>/wp-content/themes/alfatheme/img/burger.svg" alt="Burger icon">					
					</div>
					<div class="menu_mobile">
							<div class="close">
								<img src="<?php echo get_home_url(); ?>/wp-content/themes/alfatheme/img/close.svg" alt="Close icon">
							</div>
							
							<?php do_action('alfa_menu', 'top'); ?>
							
					</div>
					
				</div>
				
				
				
				
					
        </div>
		<?php else: ?> 
		
		<!-- if amp -->
		<div class="header wrapper pam_content">
				
            <a class="logo" href="<?php echo asl()->get_slug_home_url();?>">
               <img src="<?php echo get_home_url(); ?>/wp-content/uploads/2023/02/Logo.png" alt="<?php echo asl()->brand_name; ?> logo"> 
            </a>
			
			<div class="lang_choose">
				<?php do_action('alfa_nav'); ?>
			</div>
				
			<button on="tap:sidebar.toggle" class="burger">
				<img src="<?php echo get_home_url(); ?>/wp-content/themes/alfatheme/img/burger.svg" alt="Burger icon">
			</button>
				
        </div>
		
		<?php endif; ?>
		
    </header>
